Bug 663 - $f is set in interactive not-login Bash
: $f is set in interactive not-login Bash
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/bash)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-02-23 13:42 by
Modified: 2003-08-25 15:18 (History)


Attachments
0000663-bash-2.05-alt4-unset-f.patch (deleted)
2002-02-23 13:42, imz
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-02-23 13:42:25
(when $SHLVL > 1, due to a bug in /etc/bashrc)
---
login, then:
$ bash
$ echo $f
/etc/profile.d/xhost.sh
$

---
simple fix is attached
------- Comment #1 From 2002-03-20 13:44:39 -------
Thanks, fixed in
bash-2.05-alt5
------- Comment #2 From 2002-03-20 13:44:39 -------
Thanks, fixed in
bash-2.05-alt5